import os

from qt import QLabel

from kdecore import KApplication

class PageLaunch:
    def __init__ (self, parent):
        self.page = parent.addPage ()

        x = 10
        y = 10

        launchLbl   = QLabel ("Launching application ... please wait\n\nClose launched application to continue", self.page)
        launchLbl.setGeometry (x, y, 300, 80)
        launchLbl.show ()

        self.page.show ()

        KApplication.kApplication ().processEvents ()


class PageNotImpl:
    def __init__ (self, parent):
        self.page = parent.addPage ()

        x = 10
        y = 10

        niLbl   = QLabel ("Nothing is currently implemented for this widget", self.page)
        niLbl.setGeometry (x, y, 300, 20)
        niLbl.show ()


def menuKAccelGen (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuKAccelMenu (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuKAction (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKActionMenu (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKActionSeparator (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKContextMenuManager (parent):
    pass

def menuKDCOPActionProxy (parent):
    pass

def menuKHelpMenu (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKMenuBar (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKPanelApplet (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuKPanelExtension (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuKPanelMenu (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuKPopupFrame (parent):
    pass

def menuKPopupMenu (parent):
    pass

def menuKPopupTitle (parent):
    pass

def menuKStatusBar (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKStatusBarLabel (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKStdAction (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKToolBar (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKWindowListMenu (parent):
    pass


if __name__ == "__main__":
    print
    print "Please run uisampler.py"
    print